Groovy Documentation

## org.codehaus.groovy.ast.stmt
[Java] Interface LoopingStatement

    public interface LoopingStatement

This is an AST Node that provides some sort of looping mechanism. Typically in the form of a block that will be executed repeatedly. DoWhileStatements, WhileStatements, and ForStatements are all examples of LoopingStatements.

Authors:
  Hamlet D'Arcy

Method Summary
`Statement` | `getLoopBlock()` Gets the loop block.
`void` | `setLoopBlock(Statement loopBlock)` Sets the loop block.

Method Detail

### getLoopBlock

    public Statement getLoopBlock()

  Gets the loop block.

### setLoopBlock

    public void setLoopBlock(Statement loopBlock)

  Sets the loop block.

Groovy Documentation